zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From anmolnar <...@git.apache.org>
Subject [GitHub] zookeeper issue #528: ZOOKEEPER-3034 Facing issues while building from sourc...
Date Wed, 30 May 2018 09:59:06 GMT
Github user anmolnar commented on the issue:

    https://github.com/apache/zookeeper/pull/528
  
    Yeah, I see what the problem is: `pkg-config` package has to be installed, but there's
another problem with the version that is shipped with 14.04: it doesn't have `PKG_CHECK_MODULES_STATIC`
macro, because it has been added in a more recent version according to this bug:
    https://bugs.freedesktop.org/show_bug.cgi?id=19541
    
    Adding the definition of the macro to our `configure.ac` script solves the problem, but
I don't want it to be effective if recent version of pkg-config is in use. Trying to add it
as a conditional, but my autoconf knowledge doesn't seem to be enough here. Still looking.


---

Mime
View raw message